%define name mandriva-theme
%define theme Mandriva
%define version 1.2.20
%define scriptdir %{_datadir}/bootsplash/scripts
%define mdk_bg %{_datadir}/mdk/backgrounds

%define release %mkrel 2

%define theme_header() \
Summary: Mandriva%{?1:-%1} theme for bootsplash and desktop background \
Group: Graphics \
%description %{?1} \
This package contains the Mandriva%{?1:-%1} bootsplash theme \
with its images and configuration for different resolution as well as \
the the desktop background image. \

%define theme_package(o:) \
%package %{1} \
Requires(post): bootsplash >= 2.0.2, perl-base \
Requires(preun): bootsplash >= 2.0.2 \
Provides: mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme = %{version}-%{release} \
Obsoletes: mandrake_theme mandrake-theme mandrakelinux-theme %{?-o:%{-o*}} \
Requires: mandriva-theme-common \
Suggests: mandriva-theme-screensaver \
Conflicts: kdebase-konsole <= 1:3.4.2-37mdk \
%theme_header(%{1}) \
\
%package %{1}-screensaver \
Summary: Mandriva %{1} screensaver \
Group: Graphics \
Provides: mandriva-theme-screensaver \
%{?-o:Obsoletes: %{-o*}-screensaver} \
\
%description %{1}-screensaver \
This package contains the screensaver associated with the \
Mandriva %{1} theme. \

%define theme_scripts() \
%post -n %{name}-%{1} \
if [ -z "$DURING_INSTALL" ]; then \
  if [ -x %scriptdir/switch-themes ]; then \
    %scriptdir/switch-themes Mandriva-%{1} \
  fi \
else \
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then \
    perl -pi -e 's/^\\s*SPLASH=.*/SPLASH=auto/; s/^\\s*THEME=.*/THEME=Mandriva-%{1}/' %_sysconfdir/sysconfig/bootsplash \
  fi \
  ln -s Mandriva-%{1} %_sysconfdir/bootsplash/themes/current \
fi \
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then \
  rm -f %mdk_bg/default.png \
  ln -s Mandriva-%{1}-1600x1200.png %mdk_bg/default.png \
fi \
if [ ! -f %mdk_bg/Mandriva.png -o -L %mdk_bg/Mandriva.png ]; then \
  rm -f %mdk_bg/Mandriva.png \
  ln -s Mandriva-%{1}-1600x1200.png %mdk_bg/Mandriva.png \
fi \
if [ -f %mdk_bg/Mandriva-root.png -a ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then \
  rm -f %mdk_bg/root/default.png \
  ln -s Mandriva-%{1}-root-1600x1200.png %mdk_bg/root/default.png \
fi \
\
%triggerpostun -n %{name}-%{1} -- mandriva-theme-%{1} < 1.2.4 \
for f in kdeglobals konsolerc; do \
  if [ "`readlink /usr/share/config/$f 2>/dev/null`" == "$f-Mandriva-%{1}" ]; then \
    rm -f /usr/share/config/$f \
  fi \
done \
\
%preun -n %{name}-%{1} \
if [ "$1" == "0" ]; then \
if [ -x %scriptdir/remove-theme ]; then \
  %scriptdir/remove-theme Mandriva-%{1} \
fi \
  link=`readlink %mdk_bg/default.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %mdk_bg/default.png;fi \
  link=`readlink %mdk_bg/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %mdk_bg/Mandriva.png;fi \
  link=`readlink %mdk_bg/root/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}-root" ]; then rm -f %mdk_bg/root/default.png;fi \
  link=`readlink %_sysconfdir/bootsplash/themes/current` \
  if [ "$link" == "Mandriva-%{1}" ]; then rm -f %_sysconfdir/bootsplash/themes/current;fi \
fi \

%define theme_files() \
%files %{1} \
%defattr(-,root,root) \
%_datadir/bootsplash/themes/Mandriva-%{1} \
%config(noreplace) %_sysconfdir/bootsplash/themes/Mandriva-%{1}/* \
%_datadir/gfxboot/themes/Mandriva-%{1} \
%mdk_bg/Mandriva-%{1}* \
\
%files %{1}-screensaver \
%dir %_datadir/mdk/screensaver \
%_datadir/mdk/screensaver/*-*.png \

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}.tar
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires(post): bootsplash >= 3.1.10
BuildArchitectures: noarch
Buildrequires: gimp
%theme_header

%theme_package Free      -o mandriva-theme
%theme_package Powerpack -o mandriva-theme-Powerpack+
%theme_package One       -o mandriva-theme-Discovery
%theme_package Flash

%package common
Summary: Mandriva common theme for bootsplash
Group: Graphics

%description common
This package contains common images for the Mandriva bootsplash themes.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%make install prefix=%{buildroot}

%theme_scripts Free
%theme_scripts Powerpack
%theme_scripts One
%theme_scripts Flash

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root)
%_datadir/bootsplash/Mandriva-common

%theme_files Free
%theme_files Powerpack
%theme_files One
%theme_files Flash



%changelog
* Thu Oct 04 2007 Frederic Crozat <fcrozat@mandriva.com> 1.2.20-2mdv2008.0
+ Revision: 95396
- Replace Requires with Suggests on mandriva-theme-screensaver

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 1.2.20-1mdv2008.0
+ Revision: 91945
- 1.2.20: change pwp and One gfxboot images
  (have Mandriva logo at the same place as Free gfxboot image)

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 1.2.19-1mdv2008.0
+ Revision: 91218
- 1.2.19: new screensavers

* Tue Sep 11 2007 Olivier Blin <oblin@mandriva.com> 1.2.18-1mdv2008.0
+ Revision: 84379
- 1.2.18: update 1920x1440 images (#33355)

* Fri Sep 07 2007 Olivier Blin <oblin@mandriva.com> 1.2.17-1mdv2008.0
+ Revision: 81946
- 1.2.17 (adapt scripts to build with gimp 2.4 rc2...)
- make Powerpack theme obsolete Powerpack+ theme
- make One theme obsolete Discovery theme
- fix theme name in main description
- remove garbage at end of main description
- 1.2.16
- drop Discovery and Powerpack+ themes
- remove unpackaged files

* Tue Aug 28 2007 Olivier Blin <oblin@mandriva.com> 1.2.15-1mdv2008.0
+ Revision: 72691
- 1.2.15: fix conversion of indexed images (such as gfxboot)

* Mon Aug 27 2007 Olivier Blin <oblin@mandriva.com> 1.2.14-2mdv2008.0
+ Revision: 71994
- 1.2.14 (update theme for Mandriva 2008.0)

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.13-2mdv2008.0
+ Revision: 67872
- add missing requires on perl-base
- convert prereq

* Fri Jun 29 2007 Olivier Blin <oblin@mandriva.com> 1.2.13-1mdv2008.0
+ Revision: 45751
- use Graphics as group
- 1.2.13 (rename Mandriva theme as Mandriva-Free)
- simplify spec now that themes have a common prefix
- make mandriva-theme-Free obsolete mandriva-theme
- make mandriva-theme-Free-screensaver obsolete mandriva-theme-screensaver
- fix inclusion of Powerpack files in Powerpack+ package

* Thu May 10 2007 Olivier Blin <oblin@mandriva.com> 1.2.12-1mdv2008.0
+ Revision: 26082
- 1.2.12 (use final 2007 Spring images for Mandriva-1440x900 and Mandriva-Powerpack+-1280x800)


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 1.2.11-1mdv2007.1
+ Revision: 146719
- 1.2.11 (do not make progress bar overlap text, #29373)

* Wed Mar 14 2007 Pixel <pixel@mandriva.com> 1.2.10-1mdv2007.1
+ Revision: 143599
- compress even less gfxboot images

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 1.2.9-1mdv2007.1
+ Revision: 142425
- new release, 1.2.9:
- add gfxboot images

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 1.2.8-1mdv2007.1
+ Revision: 141638
- 1.2.8 (new vt images)

* Tue Mar 06 2007 Olivier Blin <oblin@mandriva.com> 1.2.7-1mdv2007.1
+ Revision: 134057
- 1.2.7 (add hibernate images back)

* Mon Mar 05 2007 Olivier Blin <oblin@mandriva.com> 1.2.6-1mdv2007.1
+ Revision: 133393
- 1.2.6 (new screensavers)

* Mon Mar 05 2007 Olivier Blin <oblin@mandriva.com> 1.2.5-1mdv2007.1
+ Revision: 132855
- 1.2.5 (convert hibernate images as jpg)
- 1.2.4
- remove old symlinks to old kde config files in trigger
- install common images (vt and hibernate) in /usr/share/bootsplash/Mandriva-common/images
- move vt backgrounds in common subpackage
- remove unused kdeglobals/konsolerc/kwinrc files (replaced by *-kde-config profiles)
- cosmetics
- factorize again
- use shell pattern to get background prefix instead of hardcoded values
- factorize post/preun

* Mon Feb 26 2007 Olivier Blin <oblin@mandriva.com> 1.2.3-2mdv2007.1
+ Revision: 126098
- bump release

  + Frederic Crozat <fcrozat@mandriva.com>
    - Don't include all backgrounds in free package

* Thu Feb 15 2007 Warly <warly@mandriva.com> 1.2.3-1mdv2007.1
+ Revision: 121414
- update tarball and spec for version 1.2.3

* Wed Feb 14 2007 Warly <warly@mandriva.com> 1.2.2-1mdv2007.1
+ Revision: 120981
- update tarball and spec for version 1.2.2

* Tue Feb 13 2007 Warly <warly@mandriva.com> 1.2.1-1mdv2007.1
+ Revision: 120472
- update tarball and spec for version 1.2.1

* Tue Feb 13 2007 Warly <warly@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 120446
- update tarball and spec for version 1.2.0
- Import mandriva-theme

* Wed Sep 20 2006 Warly <warly@mandriva.com> 1.1.4-1mdv2007.0
- fix lilo message generation

* Tue Sep 19 2006 Warly <warly@mandriva.com> 1.1.3-1mdv2007.0
- try to improve bootsplash jpeg image, store png image as source
  and regenerate during the build the jpeg with good quality

* Thu Sep 14 2006 Warly <warly@mandriva.com> 1.1.2-1mdv2007.0
- adjust progress bar color

* Wed Sep 13 2006 Warly <warly@mandriva.com> 1.1.1-1mdv2007.0
- some adjustment in the lilo images

* Thu Jul 13 2006 Warly <warly@mandriva.com> 1.1.0-1mdv2007.0
- test version for 2007

* Sat Sep 24 2005 Frederic Lepied <flepied@mandriva.com> 1.0.12-1mdk
- rebuild to have the common part in kdeglobals

* Wed Sep 14 2005 Warly <warly@mandriva.com> 1.0.11-1mdk
- fixed tux images for screensaver

* Wed Sep 14 2005 Pixel <pixel@mandriva.com> 1.0.10-2mdk
- we need special bootsplash to be installed to correctly upgrade from mandrakelinux-theme
  (cf bootsplash 3.1.8-3mdk changelog)

* Tue Sep 13 2005 Warly <warly@mandriva.com> 1.0.10-1mdk
- improve bootsplash image quality
- move text window
- change progress bar color

* Sat Sep 10 2005 Frederic Lepied <flepied@mandriva.com> 1.0.9-1mdk
- move konsolerc to this package

* Fri Sep 09 2005 Warly <warly@mandriva.com> 1.0.8-4mdk
- remove mandriva-theme non versionned provides

* Thu Sep 08 2005 Warly <warly@mandriva.com> 1.0.8-3mdk
- fix kdeglobals name

* Wed Sep 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.8-2mdk
- Move kdeglobals here

* Tue Sep 06 2005 Warly <warly@mandriva.com> 1.0.8-1mdk
- update screensaver image

* Sat Sep 03 2005 Warly <warly@mandriva.com> 1.0.7-1mdk
- fix bootloader progress bar

* Tue Aug 30 2005 Warly <warly@mandriva.com> 1.0.5-1mdk
- various theme corrections
- split screensaver

* Tue Aug 23 2005 Warly <warly@mandriva.com> 1.0.4-1mdk
- new themes

* Wed Aug 03 2005 Warly <warly@mandriva.com> 1.0.3-1mdk
- new background

* Thu Jul 28 2005 Warly <warly@mandriva.com> 1.0.2-1mdk
- include screen saver

* Wed Jul 13 2005 Warly <warly@mandriva.com> 1.0.1-1mdk
- fix configuration file which still refered to Mandrakelinux pathes

* Thu Jun 30 2005 Warly <warly@mandriva.com> 1.0.0-1mdk
- Mandrakelinux->Mandriva
- New theme

* Tue Apr 05 2005 Warly <warly@mandrakesoft.com> 0.3.6-1mdk
- The configuration file for 1280x1024 was wrong.
- Move down the text in resolution other than 800x600

* Tue Apr 05 2005 Warly <warly@mandrakesoft.com> 0.3.5-1mdk
- Really change the background

* Tue Apr 05 2005 Warly <warly@mandrakesoft.com> 0.3.4-1mdk
- Now default background is stars only

* Sat Apr 02 2005 Warly <warly@mandrakesoft.com> 0.3.3-1mdk
- fix the eyes

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 0.3.2-1mdk
- fix lilo progress bar size

* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 0.3.1-1mdk
- include new definitions images
- try to update progress bar position in higher definitions than 800x600

* Mon Mar 21 2005 Warly <warly@mandrakesoft.com> 0.3.0-1mdk
- Limited Edition 2005 theme

* Thu Mar 10 2005 Warly <warly@mandrakesoft.com> 0.2.20-1mdk
- updated for rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 0.2.19-1mdk
- fix bad jpeg format

* Mon Feb 21 2005 Warly <warly@mandrakesoft.com> 0.2.18-1mdk
- theme for 10.2 beta 3
- add new x,y position for animation
- try to stop animation sooner, not to have it remaining in console mode

* Fri Feb 04 2005 Warly <warly@mandrakesoft.com> 0.2.17-1mdk
- theme for 10.2 beta 2

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.2.16-1mdk
- 10.2 beta

* Fri Dec 24 2004 Warly <warly@mandrakesoft.com> 0.2.15-1mdk
- Cooker Xmas theme

* Tue Aug 24 2004 Warly <warly@mandrakesoft.com> 0.2.10-2mdk
- obsolete also mandrake-theme

* Wed Aug 04 2004 Warly <warly@mandrakesoft.com> 0.2.10-1mdk
- fix theme name in config file

* Fri Jul 30 2004 Warly <warly@mandrakesoft.com> 0.2.9-1mdk
- fix corporate configuration files

* Fri Jul 30 2004 Warly <warly@mandrakesoft.com> 0.2.8-1mdk
- fix post install scripts
- add prereq on bootplash for extra packages (server and desktop)

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.7-1mdk
- include corporate server and desktop theme
- more Mandrake->Mandrakelinux switches

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.5-4mdk
- coporate server 3.0

* Wed Jul 14 2004 Warly <warly@mandrakesoft.com> 0.2.5-3mdk
- Euskara version

* Wed May 12 2004 Warly <warly@mandrakesoft.com> 0.2.5-2mdk
- 10.0 Shuttle version

